Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.expr.flwor
Class TuplePush

    java.lang.Object
      net.sf.saxon.expr.flwor.TuplePush

Direct Known Subclasses:
  CountClausePush, ForClauseOuterPush, ForClausePush, GroupByClausePush, LetClausePush, OrderByClausePush, ReturnClausePush, WhereClausePush, WindowClausePush

    public abstract class TuplePush

extends Object

Abtract class representing a tuple stream (used to evaluate a FLWOR expression) in push mode (where the provider of tuples activates the consumer of those tuples)

Constructor Summary
`TuplePush()`

Method Summary
`void` | `close()` Close the tuple stream, indicating that no more tuples will be supplied
`abstract void` | `processTuple(XPathContext context)` Notify the availability of the next tuple.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TuplePush

    public TuplePush()

Method Detail

### processTuple

    public abstract void processTuple(XPathContext context)
                               throws XPathException

  Notify the availability of the next tuple. Before calling this method, the supplier of the tuples must set all the variables corresponding to the supplied tuple in the local stack frame associated with the context object

  Parameters:
    `context` - the dynamic evaluation context
  Throws:
    `XPathException` - if a dynamic error occurs

### close

    public void close()
               throws XPathException

  Close the tuple stream, indicating that no more tuples will be supplied

  Throws:
    `XPathException` - if a dynamic error occurs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.